# FoundationClasses
TKernel
Standard

# Standard_Underflow Class Reference

`#include <Standard_Underflow.hxx>`

Inheritance diagram for Standard_Underflow:

[legend]

## Public Member Functions

Standard_EXPORT | Standard_Underflow ()
Standard_EXPORT | Standard_Underflow (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
| Raises an exception of type "Failure" and associates an error message to it. The message can be printed in an exception handler. .
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
| Raises an exception of type "Failure" and associates an error message to it. The message can be constructed at run-time. .
static Standard_EXPORT | Handle (Standard_Underflow) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const
| Used only if standard C++ exceptions are used. Throws exception of the same type as this by C++ throw, and stores current object as last thrown exception, to be accessible by method Caught() .

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Standard_Underflow_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Standard_Underflow::Standard_Underflow | ( |  | ) | `[inline]`

Standard_EXPORT Standard_Underflow::Standard_Underflow | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const Standard_Underflow::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Standard_NumericError.

static Standard_EXPORT Standard_Underflow::Handle | ( | Standard_Underflow |  | ) | const`[static]`

static Standard_EXPORT void Standard_Underflow::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

| Reimplemented from Standard_NumericError.

static Standard_EXPORT void Standard_Underflow::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

| Reimplemented from Standard_NumericError.

virtual Standard_EXPORT void Standard_Underflow::Throw | ( |  | ) | const`[private, virtual]`

| Reimplemented from Standard_NumericError.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Standard_Underflow_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Standard_Underflow.hxx